#!/usr/bin/python

import getpass
import sys

from security.profile import UserProfile, get_current_username, set_current_username

def prompt_for_password():
    return getpass.getpass("Password:")

def main(username):
    curr_logged_in_user = get_current_username()
    if curr_logged_in_user == username:
        print "Already logged in!"
    elif curr_logged_in_user is not None:
        print "%s is logged in. They need to log out first." % (curr_logged_in_user,)
    else:
        password = prompt_for_password()
        prof = UserProfile(username)
        try:
            prof.decrypt(password)
            set_current_username(username)
        except ValueError:
            print "Incorrect password"
            set_current_username("")

if __name__ == "__main__":
    username = sys.argv[1]
    main(username)
