#!/usr/bin/python

import sys

from security.profile import get_current_profile
from rpc.client import RPCClient

def main(hostname, port, username):
    prof = get_current_profile()
    rsa_pubkey = prof.rsa_get_own_pubkey()
    rpc_client = RPCClient(hostname, port)
    rpc_client.make_rpc_call('register_user', username, rsa_pubkey)

if __name__ == "__main__":    
    hostname = sys.argv[1]
    port = int(sys.argv[2])
    username = sys.argv[3]
    main(hostname, port, username)
