import os

from sql_backend import SQLBackend

CRYPT_FS_DIR = os.path.join(os.environ['HOME'], '.cryptfs')

class HashPathStore(SQLBackend):
    """
    An object representing a *server's* store of hashes of path names
    """
    def __init__(self):
        SQLBackend.__init__(self, os.path.join(CRYPT_FS_DIR, 'hashpathstore.sql'))

    def init_db(self):
        SQLBackend.init_db(self)
        self.execute_query("CREATE TABLE hash_path_store (hashpath TEXT)")

    def path_exists(self, hashpath):
        rows = self.execute_query("SELECT hashpath FROM hash_path_store WHERE hashpath=?", (hashpath,))
        return len(rows) > 0

    def store_path(self, hashpath):
        self.execute_query("INSERT INTO hash_path_store (hashpath) VALUES (?)", (hashpath,))
