PERMISSION_TYPES = ('none', 'read', 'write', 'admin')

class Permission(object):
    def __init__(self, perm):
        self.perm = perm
        try:
            self.ndx = PERMISSION_TYPES.index(perm)
        except ValueError:
            raise ValueError("Uknown permission %r" % (perm,))

    def __lt__(self, other):
        return self.ndx < other.ndx

    def __eq__(self, other):
        return self.ndx == other.ndx

    def __str__(self):
        return self.perm

PERMISSION_NONE = Permission('none')
PERMISSION_READ = Permission('read')
PERMISSION_WRITE = Permission('write')
PERMISSION_ADMIN = Permission('admin')
